#%undefine __libtoolize
%define objprelink 0
%define cvs cvs6
%undefine __libtoolize

Name: zapping
Version: 0.10
Release: alt0.1.%cvs
Summary: Zapping - A GNOME2 TV viewer
License: GPL
Group: Video
Url: http://zapping.sourceforge.net
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: libzvbi librte

Source: http://dl.sf.net/zapping/%name-%version%cvs.tar.bz2
BuildPreReq: librte >= 0.5.6
BuildPreReq: libzvbi >= 0.2.22

# Automatically added by buildreq on Mon Jul 03 2006
BuildRequires: consolehelper fontconfig gcc-c++ GConf gnome-vfs-devel imake libarts-devel libavahi-glib libGConf-devel libgnomeui-devel libjpeg-devel liblirc-devel libpng-devel librte-devel libXinerama-devel libXmu-devel libXv-devel libXxf86dga-devel libXxf86vm-devel libzvbi-devel perl-XML-Parser python-dev python-modules-encodings scrollkeeper xorg-cf-files

%description
Zapping - TV viewer following V4L2 spec (not compiled into the Kernel by default) from scratch, but trying to make it as complete as possible. This is the latest version of that software.

%prep
%setup -q -n %name-%version%cvs

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--enable-v4l \
	--with-x

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

#icons
mkdir %buildroot%_iconsdir
cp %buildroot%_pixmapsdir/%name/gnome-television.png %buildroot%_iconsdir/%name.png
rm -f %buildroot%_bindir/zapzilla
ln -s /usr/bin/zapping %buildroot%_bindir/zapzilla

#create menu
(cd %buildroot
mkdir -p .%_libdir/menu
cat > .%_libdir/menu/%name <<EOF
?package(%name): \
command="/usr/bin/zapzilla" \
title="Zapping TV" \
longtitle="Zapping TV viewer" \
needs="x11" \
icon="%name.png" \
section="Multimedia/Video"
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc NEWS README INSTALL ChangeLog
%_bindir/zap*
%_sysconfdir/pam.d/zap*
%_sysconfdir/security/console.apps/zap*
%_sysconfdir/gconf/schemas/zap*
%_sbindir/zappin*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*
%_man1dir/zap*
#%_datadir/gnome/apps/Multimedia/*.desktop
%dir %_datadir/gnome/help/%name
%dir %_datadir/gnome/help/%name/C
%_datadir/gnome/help/%name/C/*
%_desktopdir/zap*
%_pixmapsdir/%name
%_datadir/%name
%_datadir/omf/%name
%_menudir/%name
%_iconsdir/%name.png

%changelog
* Mon Jul 03 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10-alt0.1.cvs6
- NMU: new version (0.10)
- update buildreqs
- update Source URL, remove COPYING

* Thu Jan 12 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.7-alt0.1.cvs3.1
- Rebuilt for new style PAM dependencies generated by rpm-build-4.0.4-alt55.

* Mon Aug 29 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.7-alt0.1.%cvs
- 0.9.7.cvs3

* Mon Jan 03 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8.2-alt0.1.cvs
- 0.8.2cvs

* Sun Jul 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt2
- 0.7-releaze

* Wed Jun 02 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1.%cvs
- 0.7-%cvs

* Sun Dec 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1.%cvs
- 0.7-%cvs

* Thu Nov 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1.%cvs
- 0.7-%cvs
- new buildrequires and rebuilding in hasher

* Tue Feb 18 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt1
- 0.6.6
- new mandirs

* Sat Nov 16 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.5-alt1
- 0.6.5

- specfile cleanup

